summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-09-19 21:10:28 +0200
committerMichał Górny <mgorny@gentoo.org>2018-09-19 22:16:37 +0200
commite919e6b6d36212a8a32049529c8be73f1d9a215d (patch)
tree5f0b8b1b4e7bbb2c15cf3a1123bb7d95d833dc4b /sys-devel/llvm
parentdev-python/clang-python: Patch completion test failures (diff)
downloadgentoo-e919e6b6d36212a8a32049529c8be73f1d9a215d.tar.gz
gentoo-e919e6b6d36212a8a32049529c8be73f1d9a215d.tar.bz2
gentoo-e919e6b6d36212a8a32049529c8be73f1d9a215d.zip
sys-devel/llvm: Package pre-built manpages
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sys-devel/llvm')
-rw-r--r--sys-devel/llvm/Manifest1
-rw-r--r--sys-devel/llvm/llvm-7.0.0.ebuild7
2 files changed, 4 insertions, 4 deletions
diff --git a/sys-devel/llvm/Manifest b/sys-devel/llvm/Manifest
index 69e54f5cca6..6d2006ee056 100644
--- a/sys-devel/llvm/Manifest
+++ b/sys-devel/llvm/Manifest
@@ -34,5 +34,6 @@ DIST llvm-5.0.2-manpages.tar.bz2 93977 BLAKE2B 8c5e8899e0df9d6037fb7d5c373de6492
DIST llvm-5.0.2.src.tar.xz 23451868 BLAKE2B b7082be2e4ad557b29b9f6869811f262adcf5c73d552faf91b339bede75cf5eab58afefa12fa779a38be71fe2b8f4ea297c3213ee4e8370cc01972c59249d91c SHA512 3588be5ed969c3f7f6f16f56a12a6af2814d3d3c960d4a36ffebb0446cc75f19220bccee7fc605f9b01f5d5c188a905a046193cc12dec42dd5922048b5c27fe1
DIST llvm-6.0.1-manpages.tar.bz2 102656 BLAKE2B 9088ca0bdda69f63354e61b7495df54505d5db2504bc61860a7260343722ec8cdd5e937d0843263a5bf5077b9cf386c337fa127039b996bab10d2ca5c2caeb59 SHA512 c468e97a2d5610aee9e72cb795e4e65375a079d733550f05380230fb44ba0ed67d407ad06e2340b66f13d19c06583b657e8d01fcdca2146ae43964cea309e0b3
DIST llvm-6.0.1.src.tar.xz 25306628 BLAKE2B 60232d4d22f8096b565cc8d81fea0639f24f14e8fc4f66ade69fa15479181f07f655f26dff3fa24bf105762b495da316c5c9352db234bd0af6b9c3fff6d4d881 SHA512 cbbb00eb99cfeb4aff623ee1a5ba075e7b5a76fc00c5f9f539ff28c108598f5708a0369d5bd92683def5a20c2fe60cab7827b42d628dbfcc79b57e0e91b84dd9
+DIST llvm-7.0.0-manpages.tar.bz2 121089 BLAKE2B b60f18ce65e8b5bc9122378f82f0edb85d3ddef06e03e39bab8f52afe3c1c74ae8adb39335fa437fb243df8b15c7a8563eb23bc28fd9f3070a33e4c93081b095 SHA512 42731538157edc92e281baf0f4f56ce2943f1ed47b5fcd0269f98d19a8fa1602d093a02d22847ea1b00b49bf60a5e273e91aec216d084c68c772672d1a702c43
DIST llvm-7.0.0.src.tar.xz 28324368 BLAKE2B 10168ff9be8f68536db3b2263c85c1c98213ef03dc542b83628ff176542452582bc496bab236fdf40d4a6463a33f04b27f1458c072ad8b66b641f8df8d494046 SHA512 bdc9b851c158b17e1bbeb7ac5ae49821bfb1251a3826fe8a3932cd1a43f9fb0d620c3de67150c1d9297bf0b86fa917e75978da29c3f751b277866dc90395abec
DIST llvm-manpages-4.0.1.tar.bz2 87981 BLAKE2B 79ffd254ee5c6e09159c954913ef820f74107d4fcea5e3ed82592dc36af8fdfbf1e850547ba8bfc20aa9a5ecdd26c50329e6a6d558ae3aa5475a930789ce3e01 SHA512 d5b3213567c25db58ef364d272314a79c311a80fc21d98c09a5540af45a8190a38f489228663fe9a9b63bf0f2b952c460c4196a8fc8d6f221619f6e7ed2fc415
diff --git a/sys-devel/llvm/llvm-7.0.0.ebuild b/sys-devel/llvm/llvm-7.0.0.ebuild
index 59c3f314915..9ce79663c29 100644
--- a/sys-devel/llvm/llvm-7.0.0.ebuild
+++ b/sys-devel/llvm/llvm-7.0.0.ebuild
@@ -13,8 +13,8 @@ inherit cmake-utils eapi7-ver flag-o-matic multilib-minimal \
DESCRIPTION="Low Level Virtual Machine"
HOMEPAGE="https://llvm.org/"
-SRC_URI="https://releases.llvm.org/${PV/_//}/${P/_/}.src.tar.xz"
-# !doc? ( https://dev.gentoo.org/~mgorny/dist/llvm/${P}-manpages.tar.bz2 )"
+SRC_URI="https://releases.llvm.org/${PV/_//}/${P/_/}.src.tar.xz
+ !doc? ( https://dev.gentoo.org/~mgorny/dist/llvm/${P}-manpages.tar.bz2 )"
# Keep in sync with CMakeLists.txt
ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM BPF Hexagon Lanai Mips MSP430
@@ -68,8 +68,7 @@ PDEPEND="sys-devel/llvm-common
gold? ( >=sys-devel/llvmgold-${SLOT} )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )
- doc"
+ || ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${P/_/}.src